ChangeSet 1.1325.4.8, 2003/09/23 17:17:34-07:00, bellucda@tiscali.it

[PATCH] USB: Minor cleanups in usb_serial_probe

- on "probe" failure report back its return code rather than -ENODEV


 drivers/usb/serial/usb-serial.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Thu Sep 25 14:32:02 2003
+++ b/drivers/usb/serial/usb-serial.c	Thu Sep 25 14:32:02 2003
@@ -1019,10 +1019,10 @@
 		retval = type->probe (serial, id_pattern);
 		module_put(type->owner);
 
-		if (retval < 0) {
+		if (retval) {
 			dbg ("sub driver rejected device");
 			kfree (serial);
-			return -ENODEV;
+			return retval;
 		}
 	}
 
